package com.gic.haoban.manage.web.qo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2023/12/26 14:32
 */
@Data
public class SalesStructureQO implements Serializable {

    /**
     * 1:新老客维度 2:生日会员 3：等级
     */
    private Integer salesStructureType = 1;

    /**
     * 开始时间
     */
    private String startDate;

    /**
     * 结束时间
     */
    private String endDate;

    /**
     * 门店查询参数. 区经可以为空，查询所有管辖门店
     */
    private String storeId;

    /**
     * 企业ID.
     */
    private String enterpriseId;

    /**
     * 微信企业
     */
    private String wxEnterpriseId;

    /**
     * 如果是区经，用于查询管辖门店权限
     */
    private String clerkId;
}
